### Method

# Gsk GLShader get_n_textures

deprecated: 4.16

#### Declaration [src]

    int
    gsk_gl_shader_get_n_textures (
      GskGLShader* shader
    )

#### Description [src]

Returns the number of textures that the shader requires.

This can be used to check that the a passed shader works in your usecase. It is determined by looking at the highest u_textureN value that the shader defines.

Deprecated since: 4.16

GTK’s new Vulkan-focused rendering does not support this feature. Use GtkGLArea for OpenGL rendering.

#### Return value

Type: `int`

The number of texture inputs required by `shader`.